# class Puppet::Rails::ParamName

### Public Instance Methods

to_resourceparam(resource, source) click to toggle source

    # File lib/puppet/rails/param_name.rb, line 12
    def to_resourceparam(resource, source)
      hash = {}
      hash[:name] = self.name.to_sym
      hash[:source] = source
      hash[:value] = resource.param_values.find(:all, :conditions => [ "param_name_id = ?", self.id]).collect { |v| v.value }
      if hash[:value].length == 1
        hash[:value] = hash[:value].shift
      elsif hash[:value].empty?
        hash[:value] = nil
      end
      Puppet::Parser::Resource::Param.new hash
    end